
Figure - 开发 Dev #111195
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 111193 (New): 【MK】【028】【PWM】主任务

【MK】【028】【PWM】【TC-RID: 1201-0102802】echo指令控制pwm占空比控制风扇转速
2022-08-11 13:33 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-08-11

Priority: Normal Due date: 2022-08-11

Assignee: SZ TPM-罗云进 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-08-11 18:15 - SZ TPM-罗云进

- Due date set to 2022-08-11

- Assignee changed from SZ TPM-罗云进 to SZTS_TEST 邹涛

- Target version set to 588

- % Done changed from 0 to 90

■提出URL：https://dev.thundercomm.com/gerrit/#/c/142177/

■自测case：

Add relative driver for PWM fan, and you can adjuest fan rate by

command: "echo xxx >/sys/devices/platform/vendor/vendor:qcom,fan_f/pwm_duty"

#2 - 2022-08-16 16:18 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to SZ TPM-罗云进

N代表占空比，0-100，数值越大，风扇转速越高

echo N>/sys/devices/platform/vendor/vendor:qcom,fan_f/pwm_duty

软件版本：0.0.0.20220816_alpha_private

使用如上命令验证，可以正常控制风扇转速

#3 - 2022-08-24 22:12 - SZ TPM-罗云进

- Status changed from New to 完成 Closed

- % Done changed from 90 to 100

#4 - 2022-09-16 09:55 - CD SWPM-杨宏伟

- Target version changed from 588 to VX1_MCE_FSE_V2.0_20220930
